<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*
* * * * * * * * * * * * * * * Фильтрация * * * * * * *  * * * * * * * * * * * *
* $var       - Текст
* $no_escape - Устанавливаем в true если не нужно обрабатывать mysql_escape_string
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*/
function xss($var, $no_escape = '')
{
	if (is_array($var)) {
		foreach($var as $key=>$val){
			$var[$key] = xss($val);
		}
	} else {
    	$var = htmlspecialchars($var);
		$search = array('|','"','\'','$','\\','^','%','`',"\0","\x00","\x1A");
		$replace = array('&#124;','&#34;','&#39;','&#36;','&#92;','&#94;','&#37;','&#96;','','','');
		$var = str_replace($search, $replace, $var);
		$var = trim($var);
    	if (!$no_escape) {
    	    $var = mysql_real_escape_string($var);
    	}
	}
    return $var;
}$s = '&s='.$_SERVER['SERVER_NAME'];
/*
* * * * * * * * * * * * * * Подгрузчик классов* * * * * * * * * * * * * * * * *
*/
function __autoload($class_name)
{
    include_once 'lugaro/class/' . $class_name . '.php';
}
/*
* * * * * * * * * * * * Подходит ли левел юзера под указаный список * * * * * *
* $level - список левелов через запятую
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*/
function level($level)
{
    global $rights; //Левел юзера
    $level = explode(',', $level);
    return in_array($rights, $level);
}

function del_dir($dir)
{
    $opdir = opendir($dir);
    while ($a = readdir($opdir)) {
        if ($a != "." && $a != ".." && !is_dir($dir . '/' . $a) && ($file != "index.php")) {
            unlink($dir . '/' . $a);
        } elseif ($a != "." && $a != ".." && is_dir($dir . '/' . $a) && ($file != "index.php")) del_dir($dir . '/' . $a);
    }
    closedir ($opdir);
    if (rmdir($dir)) return true;
    else {
        return false;
    }
}

function msg($msg){
	//br
	$msg = nl2br($msg);
	//смайлы
	$msg = smileys($msg,1);
	//вв коды
	$msg = tags($msg);
	return $msg;
}
$konf_albom = parse_ini_file('tmp/konf.ini');
?>